# Intel® Enhanced Privacy ID SDK: hash

hash
epid » common » math

Hash primitives. More...

## Data Structures

struct | Sha256Digest
| SHA256 digest. More...

## Functions

EpidStatus | Sha256MessageDigest (void const *msg, size_t len, Sha256Digest *digest)
| Computes SHA256 digest of a message. More...

## Detailed Description

Hash primitives.

Provides APIs for computing digests of messages.

## Function Documentation

EpidStatus Sha256MessageDigest | ( | void const * | msg,
|  | size_t | len,
|  | Sha256Digest * | digest
| ) |  |

Computes SHA256 digest of a message.

Parameters

  [in] | msg | Message to compute digest for.
  [in] | len | The size of msg in bytes.
  [out] | digest | The resulting message digest.

Returns
  EpidStatus